Index: AUTHORS
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/AUTHORS,v
retrieving revision 1.4
diff -r1.4 AUTHORS
24a25,32
> 
> N: Derk-Jan Hartman
> E: hartman at videolan dot org
> C: hartman
> D: Delay option
> D: Standards compliance fixes
> S: Netherlands
> 
Index: ChangeLog
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/ChangeLog,v
retrieving revision 1.2
diff -r1.2 ChangeLog
0a1,10
> --Changes from version 0.2.3 to version 0.2.4
> 
> * Bugfix in RTP payloadformat announce
> * Added a=tool parameter so miniSAPserver can be more easily recognized
> * Added a config option to set the SAP delay
> * Added a=mux:m2t and a=packetformat:RAW parameters
> * Changed a=plgroup to a=x-plgroup because it is a non standardized parameters
> * Updated the manpage
> * Clarified that miniSAPserver is only supposed to work for MPEG TS streams.
> 
Index: configure.ac
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/configure.ac,v
retrieving revision 1.4
diff -r1.4 configure.ac
4,5c4,5
< AC_INIT(miniSAPserver,0.2.3,vlcs-devel@videolan.org)
< AM_INIT_AUTOMAKE(miniSAPserver,0.2.3)
---
> AC_INIT(miniSAPserver,0.2.4,streaming@videolan.org)
> AM_INIT_AUTOMAKE(miniSAPserver,0.2.4)
Index: message.cpp
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/message.cpp,v
retrieving revision 1.9
diff -r1.9 message.cpp
4c4
<  * Copyright (C) 1998-2002 VideoLAN
---
>  * Copyright (C) 1998-2004 VideoLAN
8a9
>  *          Derk-Jan Hartman <hartman at videolan dot org>
33a35
> #include "sapserver.h"
129,130c131,135
<     // TODO Ugly, ... more than one program ??
<     // RFC 2327 Compliance ?
---
>     /* FIXME */
>     /* Currently only announces a single mediasession
>      * and only a MPEG2 TS stream announce is supported
>      * RFC 2327 Compliance ? */
> 
152c157
<         m+="http 14\n";
---
>         m+="http 33\n";
156c161
<         m+="udp 14\n";
---
>         m+="udp 33\n";
176a182,184
>     a+= "a=mux:m2t\n";
>     a+= "a=packetformat:RAW\n";
>     a+= "a=tool:"+(string)PACKAGE_STRING+"\n";
180c188
<         a+= "a=plgroup:"+p->GetPlGroup()+"\n";
---
>         a+= "a=x-plgroup:"+p->GetPlGroup()+"\n";
Index: parser.cpp
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/parser.cpp,v
retrieving revision 1.9
diff -r1.9 parser.cpp
4c4
<  * Copyright (C) 1998-2002 VideoLAN
---
>  * Copyright (C) 1998-2004 VideoLAN
10a11
>  *          Derk-Jan Hartman <hartman at videolan dot org>
50a52
>     delay	=	DEFAULT_DELAY;
69a72,81
> unsigned int Config::GetDelay()
> {
>     return delay;
> }
> 
> void Config::SetDelay(unsigned int d)
> {
>     delay=d;
> }
> 
208a221,227
>         }
> 
>         /* Set SAP Delay  (delay is a member of config) */
>         if(strstr(line,"sap_delay="))
>         {
>             strgeta(line,tline,'=');
>             delay=atoi(tline);
Index: parser.h
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/parser.h,v
retrieving revision 1.5
diff -r1.5 parser.h
4c4
<  * Copyright (C) 1998-2003 VideoLAN
---
>  * Copyright (C) 1998-2004 VideoLAN
34a35,36
>     unsigned int GetDelay();
>     void SetDelay(unsigned int);
50a53
>     int delay;
Index: sap.cfg
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/sap.cfg,v
retrieving revision 1.16
diff -r1.16 sap.cfg
2a3
> # Global miniSAPserver options
4,6c5,14
< sap_ttl=255 # TTL (Time To Live) of the SAP announces. You should put 255
< sap_ipversion=4 # Version of IP Protocol to use: 4 for IPv4, 6 for IPv6
< ipv6_scope=8
---
> 
> # TTL (Time To Live) of the SAP announces. You should put 255
> sap_ttl=255
> 
> # Version of IP Protocol to use: 4 for IPv4, 6 for IPv6
> sap_ipversion=4
> 
> # Number of seconds between announces. 5 is default. Internet announces better use 30.
> sap_delay=5
> 
8a17,19
> ipv6_scope=8
> 
> 
11a23,27
> # Note that only announces for MPEG2 TS streams are supported.
> # Though announces of other types of streams may work for some clients,
> # they will not be compliant to the announce spec. and are not at all
> # guaranteed to work.
> 
14,22c30,56
< name=TV1   # Name of the program (as will show up in the VLC playlist)
< user=videolan # Name of the streaming entity
< machine=vlcs.videolan.org # Name of the streaming machine
< site=www.videolan.org # Site of the streaming entity
< address=239.255.12.42 # Multicast IP address of the program
< port=1234 # UDP Port
< program_ttl=32 # TTL for this program (15 is the default value)
< program_ipversion=4 # 4 or 6 (4 is the default value)
< playlist_group=Radio
---
> # Name of the program (as it will show up in the VLC playlist)
> name=TV1
> 
> # Name of the streaming entity (organisation)
> user=videolan
> 
> # DNS or IP of the machine on which you run the stream
> machine=streamer.domain.org
> 
> # Website of the streaming entity (organisation)
> site=http://www.domain.org
> 
> # Multicast IP address of the program
> address=239.255.12.42
> 
> # UDP Port
> port=1234
> 
> # TTL for this program (15 is the default value)
> program_ttl=32
> 
> # IP protocol stack in use. 4 or 6 (4 is the default value)
> program_ipversion=4
> 
> # The name of the playlistgroup your announce will be part of in the VLC playlist
> playlist_group=organisationTV 
> 
29,30c63,64
< machine=vlcs.videolan.org
< site=www.videolan.org
---
> machine=streamer.domain.org
> site=http://www.domain.org
40,41c74,75
< machine=vlcs.videolan.org
< site=www.videolan.org
---
> machine=streamer.domain.org
> site=http://www.videolan.org
45a80
> 
Index: sapserver.1
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/sapserver.1,v
retrieving revision 1.2
diff -r1.2 sapserver.1
1c1
< .TH SAPSERVER 1 "August 9, 2003" "Clment Stenac" "VideoLAN"
---
> .TH SAPSERVER 1 "July 21 2004" "Clment Stenac" "VideoLAN"
3c3
< sapserver - SAP and SLP announcement for the VLC Media Player
---
> sapserver - SAP and SLP announcement for vls 
10c10,11
< announces,using the SAP/SDP or the SLP protocols, streams to be played with the VLC Media Player 
---
> Announces, using the SAP/SDP or the SLP protocols, MPEG2 TS streams produced by for instance VLS. These announces can be received by the VLC Media Player o.a.
>  See the default configuration file for examples.
Index: sapserver.cpp
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/sapserver.cpp,v
retrieving revision 1.16
diff -r1.16 sapserver.cpp
4c4
<  * Copyright (C) 1998-2002 VideoLAN
---
>  * Copyright (C) 1998-2004 VideoLAN
40,41c40
< #include "config.h"
< 
---
> #include "sapserver.h"
46d44
< #include "sapserver.h"
62c60
<   "  -t      \"slp\" or \"sap\". sap is default"  \
---
>   "  -t      \"slp\" or \"sap\". sap is default\n"  \
82c80
<     fprintf(stdout, "%s Version %s - (c)1999-2003 VideoLAN\n\n",
---
>     fprintf(stdout, "%s Version %s - (c)1999-2004 VideoLAN\n\n",
180c178
<                 usleep(SAP_DELAY*1000000/config->Programs.size());
---
>                 usleep(config->GetDelay()*1000000/config->Programs.size());
Index: sapserver.h
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/sapserver.h,v
retrieving revision 1.7
diff -r1.7 sapserver.h
4c4
<  * Copyright (C) 1998-2002 VideoLAN
---
>  * Copyright (C) 1998-2004 VideoLAN
27c27
< #define SAP_DELAY 1 /* wait DELAY seconds before each sending */
---
> #include "config.h"
34a35
> #define DEFAULT_DELAY 5 /* wait DELAY seconds before each sending */
Index: slp.cpp
===================================================================
RCS file: /var/cvs/videolan/network/miniSAPserver/slp.cpp,v
retrieving revision 1.4
diff -r1.4 slp.cpp
34a35
> #include "sapserver.h"
36,37d36
< 
< #include "config.h"
